Subject: Re: bug#21940: 24.5; GDB interface gets confused by non-ASCII

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Nov 2015 18:47:07 +0200

> From: Göran Uddeborg <[email-masked]>
> Date: Tue, 17 Nov 2015 16:28:32 +0100
> 
> 
> It seems something has broken in the interface between Gdb and Emacs.
> I'm not sure which side is to blame, but I'll start with a report here.
> Let me know if I should report to gdb instead.
> 
> With the most recent versions of Emacs and Gdb on Fedora, the debugging
> mode gets confused if the path to the program being debugged contains a
> non-ASCII letter.  To reproduce it do like this:
> 
> 1. cd /tmp
> 2. mkdir göran
> 3. cd göran
> 4. cat > c.c << EOF
> int main()
> {
>   return 0;
> }
> EOF
> 5. cc -g c.c -o c
> 6. emacs -Q
> 7. M-x gdb <return> <return>
> 8. (in *gud-c* buffer) b main <return>
> 9. r <return>
> 
> The first strange thing happens at step 8.  After having printed the
> message "Breakpoint 1 at 0x4004fa: file c.c, line 3" and a "(gdb)"
> prompt, there is also a listing of the c.c file inserted in the
> "*gud-c*" buffer.
> 
> After running the program in step 9, the line where the program stops
> is listed in the "*gud-c*" buffer, and then the file c.c is listed
> AGAIN.
> 
> I also get a question in the minibuffer: File /tmp/göran/"/tmp/g\303\266ran/c.c" is read-only on disk.  Make buffer read-only, too? (y or n)
> 
> Note that "/tmp/göran" is repeated here, quoted with octal codes once.
> The quotation signs also look strangely placed.
> 
> If I replace the "ö" in the name of the directory created in step 2, the
> debugger behaves as I'm used to.  When it reaches the breakpoint in step
> 9, the file c.c is popped up in a separate window, with a little marker
> at line 3 where the process has stopped.

Thanks for reporting this.

This is bug #21572 (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21572),
which is already fixed in the development sources.